git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
* [PATCH] Improve English grammar
@ 2014-08-23  8:52 Alex Henrie
  0 siblings, 0 replies; 5+ messages in thread
From: Alex Henrie @ 2014-08-23  8:52 UTC (permalink / raw)
  To: git

Signed-off-by: Alex Henrie <alexhenrie24@gmail.com>
---
 builtin/commit.c   | 2 +-
 builtin/ls-files.c | 2 +-
 builtin/merge.c    | 4 ++--
 builtin/notes.c    | 2 +-
 builtin/rm.c       | 2 +-
 git-bisect.sh      | 4 ++--
 git-stash.sh       | 2 +-
 git.c              | 2 +-
 8 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/builtin/commit.c b/builtin/commit.c
index 5ed6036..59c91ea 100644
--- a/builtin/commit.c
+++ b/builtin/commit.c
@@ -1778,7 +1778,7 @@ int cmd_commit(int argc, const char **argv, const char *prefix)
 
 	if (commit_index_files())
 		die (_("Repository has been updated, but unable to write\n"
-		     "new_index file. Check that disk is not full or quota is\n"
+		     "new_index file. Check that disk is not full and quota is\n"
 		     "not exceeded, and then \"git reset HEAD\" to recover."));
 
 	rerere(0);
diff --git a/builtin/ls-files.c b/builtin/ls-files.c
index 47c3880..99cee20 100644
--- a/builtin/ls-files.c
+++ b/builtin/ls-files.c
@@ -474,7 +474,7 @@ int cmd_ls_files(int argc, const char **argv, const char *cmd_prefix)
 		OPT_BOOL('k', "killed", &show_killed,
 			N_("show files on the filesystem that need to be removed")),
 		OPT_BIT(0, "directory", &dir.flags,
-			N_("show 'other' directories' name only"),
+			N_("show 'other' directories' names only"),
 			DIR_SHOW_OTHER_DIRECTORIES),
 		OPT_NEGBIT(0, "empty-directory", &dir.flags,
 			N_("don't show empty directories"),
diff --git a/builtin/merge.c b/builtin/merge.c
index ce82eb2..db47200 100644
--- a/builtin/merge.c
+++ b/builtin/merge.c
@@ -1144,14 +1144,14 @@ int cmd_merge(int argc, const char **argv, const char *prefix)
 		 */
 		if (advice_resolve_conflict)
 			die(_("You have not concluded your merge (MERGE_HEAD exists).\n"
-				  "Please, commit your changes before you can merge."));
+				  "Please, commit your changes before you merge."));
 		else
 			die(_("You have not concluded your merge (MERGE_HEAD exists)."));
 	}
 	if (file_exists(git_path("CHERRY_PICK_HEAD"))) {
 		if (advice_resolve_conflict)
 			die(_("You have not concluded your cherry-pick (CHERRY_PICK_HEAD exists).\n"
-			    "Please, commit your changes before you can merge."));
+			    "Please, commit your changes before you merge."));
 		else
 			die(_("You have not concluded your cherry-pick (CHERRY_PICK_HEAD exists)."));
 	}
diff --git a/builtin/notes.c b/builtin/notes.c
index 820c341..0606964 100644
--- a/builtin/notes.c
+++ b/builtin/notes.c
@@ -211,7 +211,7 @@ static void create_note(const unsigned char *object, struct msg_arg *msg,
 		if (write_sha1_file(msg->buf.buf, msg->buf.len, blob_type, result)) {
 			error(_("unable to write note object"));
 			if (path)
-				error(_("The note contents has been left in %s"),
+				error(_("The note contents have been left in %s"),
 				      path);
 			exit(128);
 		}
diff --git a/builtin/rm.c b/builtin/rm.c
index bc6490b..2b61d3b 100644
--- a/builtin/rm.c
+++ b/builtin/rm.c
@@ -65,7 +65,7 @@ static void error_removing_concrete_submodules(struct string_list *files, int *e
 			  Q_("the following submodule (or one of its nested "
 			     "submodules)\n"
 			     "uses a .git directory:",
-			     "the following submodules (or one of its nested "
+			     "the following submodules (or one of their nested "
 			     "submodules)\n"
 			     "use a .git directory:", files->nr),
 			  _("\n(use 'rm -rf' if you really want to remove "
diff --git a/git-bisect.sh b/git-bisect.sh
index 1e0d602..6cda2b5 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -286,11 +286,11 @@ bisect_next_check() {
 
 		if test -s "$GIT_DIR/BISECT_START"
 		then
-			gettextln "You need to give me at least one good and one bad revisions.
+			gettextln "You need to give me at least one good and one bad revision.
 (You can use \"git bisect bad\" and \"git bisect good\" for that.)" >&2
 		else
 			gettextln "You need to start by \"git bisect start\".
-You then need to give me at least one good and one bad revisions.
+You then need to give me at least one good and one bad revision.
 (You can use \"git bisect bad\" and \"git bisect good\" for that.)" >&2
 		fi
 		exit 1 ;;
diff --git a/git-stash.sh b/git-stash.sh
index bcc757b..a640a36 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -394,7 +394,7 @@ parse_flags_and_rev()
 
 	REV=$(git rev-parse --quiet --symbolic --verify "$1" 2>/dev/null) || {
 		reference="$1"
-		die "$(eval_gettext "\$reference is not valid reference")"
+		die "$(eval_gettext "\$reference is not a valid reference")"
 	}
 
 	i_commit=$(git rev-parse --quiet --verify "$REV^2" 2>/dev/null) &&
diff --git a/git.c b/git.c
index 9c49519..465d33a 100644
--- a/git.c
+++ b/git.c
@@ -14,7 +14,7 @@ const char git_usage_string[] =
 	"           <command> [<args>]";
 
 const char git_more_info_string[] =
-	N_("'git help -a' and 'git help -g' lists available subcommands and some\n"
+	N_("'git help -a' and 'git help -g' list available subcommands and some\n"
 	   "concept guides. See 'git help <command>' or 'git help <concept>'\n"
 	   "to read about a specific subcommand or concept.");
 
-- 
1.9.1

^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [PATCH] Improve English grammar
@ 2014-08-30 19:56 Alex Henrie
  2014-08-30 20:05 ` Johan Herland
  0 siblings, 1 reply; 5+ messages in thread
From: Alex Henrie @ 2014-08-30 19:56 UTC (permalink / raw)
  To: git; +Cc: gitster, avarab, vmiklos, johan, philipoakley

Hi, I submitted this patch a week ago and got no reply, so I'm sending
it again and CC'ing the original authors this time...

Signed-off-by: Alex Henrie <alexhenrie24@gmail.com>
---
 builtin/commit.c   | 2 +-
 builtin/ls-files.c | 2 +-
 builtin/merge.c    | 4 ++--
 builtin/notes.c    | 2 +-
 builtin/rm.c       | 2 +-
 git-bisect.sh      | 4 ++--
 git-stash.sh       | 2 +-
 git.c              | 2 +-
 8 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/builtin/commit.c b/builtin/commit.c
index 5ed6036..59c91ea 100644
--- a/builtin/commit.c
+++ b/builtin/commit.c
@@ -1778,7 +1778,7 @@ int cmd_commit(int argc, const char **argv, const char *prefix)
 
 	if (commit_index_files())
 		die (_("Repository has been updated, but unable to write\n"
-		     "new_index file. Check that disk is not full or quota is\n"
+		     "new_index file. Check that disk is not full and quota is\n"
 		     "not exceeded, and then \"git reset HEAD\" to recover."));
 
 	rerere(0);
diff --git a/builtin/ls-files.c b/builtin/ls-files.c
index 47c3880..99cee20 100644
--- a/builtin/ls-files.c
+++ b/builtin/ls-files.c
@@ -474,7 +474,7 @@ int cmd_ls_files(int argc, const char **argv, const char *cmd_prefix)
 		OPT_BOOL('k', "killed", &show_killed,
 			N_("show files on the filesystem that need to be removed")),
 		OPT_BIT(0, "directory", &dir.flags,
-			N_("show 'other' directories' name only"),
+			N_("show 'other' directories' names only"),
 			DIR_SHOW_OTHER_DIRECTORIES),
 		OPT_NEGBIT(0, "empty-directory", &dir.flags,
 			N_("don't show empty directories"),
diff --git a/builtin/merge.c b/builtin/merge.c
index ce82eb2..db47200 100644
--- a/builtin/merge.c
+++ b/builtin/merge.c
@@ -1144,14 +1144,14 @@ int cmd_merge(int argc, const char **argv, const char *prefix)
 		 */
 		if (advice_resolve_conflict)
 			die(_("You have not concluded your merge (MERGE_HEAD exists).\n"
-				  "Please, commit your changes before you can merge."));
+				  "Please, commit your changes before you merge."));
 		else
 			die(_("You have not concluded your merge (MERGE_HEAD exists)."));
 	}
 	if (file_exists(git_path("CHERRY_PICK_HEAD"))) {
 		if (advice_resolve_conflict)
 			die(_("You have not concluded your cherry-pick (CHERRY_PICK_HEAD exists).\n"
-			    "Please, commit your changes before you can merge."));
+			    "Please, commit your changes before you merge."));
 		else
 			die(_("You have not concluded your cherry-pick (CHERRY_PICK_HEAD exists)."));
 	}
diff --git a/builtin/notes.c b/builtin/notes.c
index 820c341..0606964 100644
--- a/builtin/notes.c
+++ b/builtin/notes.c
@@ -211,7 +211,7 @@ static void create_note(const unsigned char *object, struct msg_arg *msg,
 		if (write_sha1_file(msg->buf.buf, msg->buf.len, blob_type, result)) {
 			error(_("unable to write note object"));
 			if (path)
-				error(_("The note contents has been left in %s"),
+				error(_("The note contents have been left in %s"),
 				      path);
 			exit(128);
 		}
diff --git a/builtin/rm.c b/builtin/rm.c
index bc6490b..2b61d3b 100644
--- a/builtin/rm.c
+++ b/builtin/rm.c
@@ -65,7 +65,7 @@ static void error_removing_concrete_submodules(struct string_list *files, int *e
 			  Q_("the following submodule (or one of its nested "
 			     "submodules)\n"
 			     "uses a .git directory:",
-			     "the following submodules (or one of its nested "
+			     "the following submodules (or one of their nested "
 			     "submodules)\n"
 			     "use a .git directory:", files->nr),
 			  _("\n(use 'rm -rf' if you really want to remove "
diff --git a/git-bisect.sh b/git-bisect.sh
index 1e0d602..6cda2b5 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -286,11 +286,11 @@ bisect_next_check() {
 
 		if test -s "$GIT_DIR/BISECT_START"
 		then
-			gettextln "You need to give me at least one good and one bad revisions.
+			gettextln "You need to give me at least one good and one bad revision.
 (You can use \"git bisect bad\" and \"git bisect good\" for that.)" >&2
 		else
 			gettextln "You need to start by \"git bisect start\".
-You then need to give me at least one good and one bad revisions.
+You then need to give me at least one good and one bad revision.
 (You can use \"git bisect bad\" and \"git bisect good\" for that.)" >&2
 		fi
 		exit 1 ;;
diff --git a/git-stash.sh b/git-stash.sh
index bcc757b..a640a36 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -394,7 +394,7 @@ parse_flags_and_rev()
 
 	REV=$(git rev-parse --quiet --symbolic --verify "$1" 2>/dev/null) || {
 		reference="$1"
-		die "$(eval_gettext "\$reference is not valid reference")"
+		die "$(eval_gettext "\$reference is not a valid reference")"
 	}
 
 	i_commit=$(git rev-parse --quiet --verify "$REV^2" 2>/dev/null) &&
diff --git a/git.c b/git.c
index 9c49519..465d33a 100644
--- a/git.c
+++ b/git.c
@@ -14,7 +14,7 @@ const char git_usage_string[] =
 	"           <command> [<args>]";
 
 const char git_more_info_string[] =
-	N_("'git help -a' and 'git help -g' lists available subcommands and some\n"
+	N_("'git help -a' and 'git help -g' list available subcommands and some\n"
 	   "concept guides. See 'git help <command>' or 'git help <concept>'\n"
 	   "to read about a specific subcommand or concept.");
 
-- 
1.9.1

^ permalink raw reply related	[flat|nested] 5+ messages in thread

* Re: [PATCH] Improve English grammar
  2014-08-30 19:56 [PATCH] Improve English grammar Alex Henrie
@ 2014-08-30 20:05 ` Johan Herland
  2014-09-02 18:53   ` Junio C Hamano
  0 siblings, 1 reply; 5+ messages in thread
From: Johan Herland @ 2014-08-30 20:05 UTC (permalink / raw)
  To: Alex Henrie
  Cc: Git mailing list, Junio C Hamano, avarab, vmiklos, Philip Oakley

On Sat, Aug 30, 2014 at 9:56 PM, Alex Henrie <alexhenrie24@gmail.com> wrote:
> Hi, I submitted this patch a week ago and got no reply, so I'm sending
> it again and CC'ing the original authors this time...
>
> Signed-off-by: Alex Henrie <alexhenrie24@gmail.com>

Looks good to me.

Acked-by: Johan Herland <johan@herland.net>

-- 
Johan Herland, <johan@herland.net>
www.herland.net

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] Improve English grammar
  2014-08-30 20:05 ` Johan Herland
@ 2014-09-02 18:53   ` Junio C Hamano
       [not found]     ` <CAMMLpeThp2O3dbC0YamitW3gTaxmhgbd-HnfXBAOM5LPFOy7sw@mail.gmail.com>
  0 siblings, 1 reply; 5+ messages in thread
From: Junio C Hamano @ 2014-09-02 18:53 UTC (permalink / raw)
  To: Johan Herland
  Cc: Alex Henrie, Git mailing list, avarab, vmiklos, Philip Oakley

Johan Herland <johan@herland.net> writes:

> On Sat, Aug 30, 2014 at 9:56 PM, Alex Henrie <alexhenrie24@gmail.com> wrote:
>> Hi, I submitted this patch a week ago and got no reply, so I'm sending
>> it again and CC'ing the original authors this time...
>>
>> Signed-off-by: Alex Henrie <alexhenrie24@gmail.com>
>
> Looks good to me.
>
> Acked-by: Johan Herland <johan@herland.net>

Looks good to me except for the log message part ;-).

Thanks.

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] Improve English grammar
       [not found]     ` <CAMMLpeThp2O3dbC0YamitW3gTaxmhgbd-HnfXBAOM5LPFOy7sw@mail.gmail.com>
@ 2014-09-09 18:58       ` Alex Henrie
  0 siblings, 0 replies; 5+ messages in thread
From: Alex Henrie @ 2014-09-09 18:58 UTC (permalink / raw)
  To: Git mailing list

I see it's been accepted now. Thank you!

-Alex

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2014-09-09 18:58 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2014-08-30 19:56 [PATCH] Improve English grammar Alex Henrie
2014-08-30 20:05 ` Johan Herland
2014-09-02 18:53   ` Junio C Hamano
     [not found]     ` <CAMMLpeThp2O3dbC0YamitW3gTaxmhgbd-HnfXBAOM5LPFOy7sw@mail.gmail.com>
2014-09-09 18:58       ` Alex Henrie
  -- strict thread matches above, loose matches on Subject: below --
2014-08-23  8:52 Alex Henrie

Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).